using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Takm1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int BrojStalaktita;
            int PericinaVisina;
            int res = 0;
            string[] ulaz = Console.ReadLine().Split();
            BrojStalaktita = int.Parse(ulaz[0]);
            PericinaVisina = int.Parse(ulaz[1]); 
            ulaz = Console.ReadLine().Split();
            int[] VisinaStalaktita = new int[BrojStalaktita];
            for(int i = 0;i<BrojStalaktita;i++)
            {
                VisinaStalaktita[i] = int.Parse(ulaz[i]);
                if (PericinaVisina < VisinaStalaktita[i])
                {
                    res++;
                }
            }

            if (res == BrojStalaktita)
            {
                Console.WriteLine(-1);
            }
            else
            {
                Console.WriteLine(res);
            }
            Console.ReadKey();
            
        }
    }
}